Package org.eclipse.net4j.util.io

## Class ExpectedFileReader

- java.lang.Object
- - java.io.Reader
  - - java.io.InputStreamReader
    - - java.io.FileReader
      - - org.eclipse.net4j.util.io.ExpectedFileReader

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Readable`

      public class ExpectedFileReader
      extends java.io.FileReader

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpectedFileReader​(java.io.File file, long expectedSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTimeout()` |
    `int` | `read()` |
    `int` | `read​(char[] cbuf)` |
    `int` | `read​(char[] cbuf, int offset, int length)` |
    `int` | `read​(java.nio.CharBuffer target)` |
    `void` | `setTimeout​(long timeout)` |
    `long` | `skip​(long n)` |

    - ### Methods inherited from class java.io.InputStreamReader

      `close, getEncoding, ready`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, nullReader, reset, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectedFileReader

          public ExpectedFileReader​(java.io.File file,
                                    long expectedSize)
                             throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### getTimeout

          public long getTimeout()

    - #### setTimeout

          public void setTimeout​(long timeout)

    - #### skip

          public long skip​(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStreamReader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(char[] cbuf,
                          int offset,
                          int length)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStreamReader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(java.nio.CharBuffer target)
                   throws java.io.IOException

      Specified by:
        `read` in interface `java.lang.Readable`
      Overrides:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(char[] cbuf)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`